import objectdraw.*;
import java.awt.*;

/*
 * Example NestedSquaresRec: a recursive implementation of an
 * object consisting of nested squares.
 *
 * Jim Teresco, The College of Saint Rose, CSC 252, Fall 2013
 *
 * $Id: NestedSquaresRec.java 2227 2013-10-24 03:37:54Z terescoj $
 */

public class NestedSquaresRec {

    private static final int SIZE_CHANGE = 4;
    
    // a recursive implementation: we draw nested squares
    // by creating the outermost square, then calling
    // THIS CONSTRUCTOR to draw the rest, which are really
    // just another set of nested squares, just a little bit
    // smaller and a little bit down and to the right.
    public NestedSquaresRec(double x, double y, int size, DrawingCanvas c) {
        
        if (size > 0) {
            // draw one
            new FramedRect(x, y, size, size, c);
            // draw the rest
            new NestedSquaresRec(x + SIZE_CHANGE/2, y+SIZE_CHANGE/2,
                size - SIZE_CHANGE, c);
        }
    }
}
